import request from '@/utils/httpRequest'

export default class KnowledgeShareInfoService {
  list (param) {
    return request({
      url: '/knowledgeShare/info/list',
      method: 'get',
      params: param
    })
  }
  save (param) {
    return request({
      url: '/knowledgeShare/info/save',
      method: 'post',
      data: param
    })
  }
  findById (id, method) {
    return request({
      url: '/knowledgeShare/info/findById',
      method: 'get',
      params: {id: id, method: method}
    })
  }
  remove (id) {
    return request({
      url: '/knowledgeShare/info/removeById',
      method: 'get',
      params: {id: id}
    })
  }
  addComment (param) {
    return request({
      url: '/knowledgeShare/info/addComment',
      method: 'post',
      data: param
    })
  }
  delComment (id) {
    return request({
      url: '/knowledgeShare/info/delComment',
      method: 'get',
      params: {id: id}
    })
  }
}
